Issue 127461 - Update bundled expat to version 2.2.1
Summary: Update bundled expat to version 2.2.1
Status: RESOLVED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 127484
  Show dependency tree
 
Reported: 2017-07-01 20:58 UTC by Andrea Pescetti
Modified: 2017-07-22 09:41 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---
pescetti: 4.1.4_release_blocker?


Attachments
patch to upgrade bundled expat to version 2.2.1 (10.54 KB, patch)
2017-07-01 21:46 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2017-07-01 20:58:05 UTC
A new release, Expat 2.2.1, is available for Expat:

https://github.com/libexpat/libexpat/blob/master/expat/Changes

Trunk is using 2.2.0 (and the AOO414 branch is still using 2.1.0; this information is only for a possible later backport to the AOO414 branch).

Some patches are listed at
http://svn.apache.org/viewvc/openoffice/trunk/main/expat/
included one by Don that has been integrated upstream in the meantime.
Comment 1 Andrea Pescetti 2017-07-01 20:59:13 UTC
Related issue for the 2.2.0 update (trunk);

https://bz.apache.org/ooo/show_bug.cgi?id=127069
Comment 2 Don Lewis 2017-07-01 21:46:19 UTC
Created attachment 86164 [details]
patch to upgrade bundled expat to version 2.2.1

This patch can be applied using "svn patch".

It has been lightly tested on CentOS 7.

The expat module builds on Windows 7 with Visual Studio 9.0, but an unrelated failure later in the build prevents testing.
Comment 3 Don Lewis 2017-07-02 16:38:23 UTC
I was finally able to build and test on Windows 7.
Comment 4 SVN Robot 2017-07-02 17:00:30 UTC
"truckman" committed SVN revision 1800568 into trunk:
#i127461#: Update bundled expat to version 2.2.1
Comment 5 Andrea Pescetti 2017-07-04 21:31:30 UTC
This should be backported and considered for the 4.1.4 release.

Expat 2.2.1 has important bugfixes that are desirable for 4.1.4.

Note that the release blocker status would mean that the following commits are merged from trunk to the AOO414 branch:

- https://svn.apache.org/viewvc?view=rev&rev=1755873 (upgrade 2.1.0 -> 2.2.0)

- https://svn.apache.org/viewvc?view=rev&rev=1800568 (upgrade 2.2.0 -> 2.2.1)

For the former, see also issue 127069.
Comment 6 Andrea Pescetti 2017-07-04 21:33:33 UTC
This is fixed (on trunk).
Comment 7 Jim Jagielski 2017-07-05 12:21:30 UTC
Backported to 4.1.4 in revision 1800869